#include <bits/stdc++.h>
#define en '\n'
#define fi first
#define se second
#define pii pair<int,int>

using namespace std;

int main()
{
    string t,z; cin >> t >> z;
    bool ka = true,k=true;
    for(char c : z)
    {
        if(c!='a') ka=false;
        if(c!='b' && c!='a') k=0;
    }
    if(ka)
    {
        int d = z.length();
        int cnt = 0;
        for(char c : t) if(c=='a') cnt++;
        int x=0;
        for(int i = 0; i < t.length() && d <= cnt; i++)
        {
            if(t[i] == 'a')
            {
                cnt--;
                x++;
                t[i]='*';
            }
        }
        cout << x << en << t << en;
        return 0;
    }

    if(k)
    {
        int n = t.length();
        vector<int> cnta(n),cntb(n);
        cnta[0]= (t[0]=='a');
        cntb[n-1]=(t[n-1]=='b');
        for(int i = 1; i < n; i++) cnta[i] = cnta[i-1] + (t[i]=='a');
        for(int i = n - 2; i >= 0; i--) cntb[i] = cntb[i+1] + (t[i]=='b');
        bool imaa=0;
        for(int i = 0; i < n; i++) if(t[i]=='a') imaa=1;
        if(!imaa)
        {
            cout << 0 << en << t << en;
            return 0;
        }
        int mn = n,id=0;
        for(int i = 0; i < n; i++)
        {
            if(t[i]=='a')
            {
                if(mn > cnta[i]+cntb[i]-1)
                {
                    mn=cnta[i]+cntb[i]-1;
                    id=i;
                }
            }
        }
        cout << mn << en;
        for(int i=0; i < n; i++)
        {
            if(t[i]=='a' && i < id)
            {
                t[i]='*';
            }
            if(t[i] == 'b' && i > id)
            {
                t[i]='*';
            }
        }
        cout << t << en;
    }

}